{% extends "siswa/userbase.html.twig" %}

{% block tittleNav %}
    Notifikasi
{% endblock %}

{% block body %}

    {% set listMessage = [
        {'id': 1, 'nama': "Emii",  "lastMsg": "Hi, ", "timeLastmsg" : "08:02", "image":"https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcQukkyqAASfvVY5VqSBDc72Qwmvt5cPLjtp1w&usqp=CAU"},
        {'id': 2, 'nama': "Emoo",  "lastMsg": "Hi, ", "timeLastmsg" : "08:02", "image":"https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcQukkyqAASfvVY5VqSBDc72Qwmvt5cPLjtp1w&usqp=CAU"},
        {'id': 3, 'nama': "Emaa",  "lastMsg": "Hi, ", "timeLastmsg" : "08:02", "image":"https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcQukkyqAASfvVY5VqSBDc72Qwmvt5cPLjtp1w&usqp=CAU"},
    ] %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Chat
        {% endblock %}

    {% endembed %}

    {#    MENU NOTIF#}
    <section class="container-fluid mt-3" id="chat-list-container">

        {% for i in 0..listMessage|length - 1 %}
            {#            <a class="d-block t-black" href="{{ path('isiChat') }}">#}
            {#                <div class="header-profile mb-0  " style="border-radius: 15px">#}
            {#                    <div class="gambar-div-sm mr-3">#}
            {#                        <img src={{ listMessage[i].image }} alt="">#}
            {#                    </div>#}
            {#                    <div class="w-100">#}
            {#                        <div class="justify-content-between d-flex w-100">#}
            {#                            <div>#}
            {#                                <p class="mb-1 title font-weight-bold f08">{{ listMessage[i].nama }}</p>#}
            {#                                <p class="subtitle mb-0 f08 text-black-50">{{ listMessage[i].lastMsg }}</p>#}
            {#                            </div>#}
            {#                            <p class="mb-0 f08 text-black-50">#}
            {#                                {{ listMessage[i].timeLastmsg }}#}
            {#                            </p>#}
            {#                        </div>#}

            {#                    </div>#}
            {#                </div>#}
            {#                <hr>#}
            {#            </a>#}
        {% endfor %}

    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        var user_id = {{ app.user.getId() }};
        var db = firebase.firestore();

        function elChatList(v, obj) {
            let sec = obj['lastUpdate']['seconds'];
            let temp = new Date(sec * 1000);
            let minute = String(temp.getMinutes()).padStart(2, '0');
            let hour = String(temp.getHours()).padStart(2, '0');
            let avatar = v['profile']['generatedAvatar'] || location.origin + '/images/no-image.png';
            let fullName = v['profile']['name'];
            return '<a class="d-block t-black" href="/member/chat-with/' + v['id'] + '">\n' +
                '                <div class="header-profile mb-0  " style="border-radius: 15px">\n' +
                '                    <div class="gambar-div-sm mr-3">\n' +
                '                        <img src="' + avatar + '" alt="">\n' +
                '                    </div>\n' +
                '                    <div class="w-100">\n' +
                '                        <div class="justify-content-between d-flex w-100">\n' +
                '                            <div>\n' +
                '                                <p class="mb-1 title font-weight-bold f08">' + fullName + '</p>\n' +
                '                                <p class="subtitle mb-0 f08 text-black-50">' + obj['message'] + '</p>\n' +
                '                            </div>\n' +
                '                            <p class="mb-0 f08 text-black-50">' + hour + ':' + minute + '</p>\n' +
                '                        </div>\n' +
                '                    </div>\n' +
                '                </div>\n' +
                '                <hr>\n' +
                '            </a>';
        }


        function getChatList() {
            let el = $('#chat-list-container');
            db.collection('chat_room').where("memberId", "==", user_id)
                .get()
                .then(async function (querySnapshot) {
                    el.empty();
                    let id = [];
                    let snapshot = [];
                    querySnapshot.forEach(function (doc) {
                        id.push(doc.data()['tentorId']);
                        snapshot.push(doc.data());
                    });
                    let response = await $.get('/member/chat/list', {id});
                    if (response['code'] === 200) {
                        let data = response['payload']['data'];
                        if (data.length > 0) {
                            $.each(data, function (k, v) {
                                let obj = snapshot.find(item => item['tentorId'] === v['id']);
                                console.log(obj)
                                el.append(elChatList(v, obj));
                            })
                        }
                        console.log(response);
                    }
                })
                .catch(function (error) {
                    console.log("Error getting documents: ", error);
                });
        }

        $(document).ready(function () {
            getChatList();
            // db.collection("chat_room").doc("2_1").onSnapshot(function(doc) {
            //     // console.log("Current data: " , doc.data());
            // });
            // db.collection("chat_room").doc('2_1').collection('room').get().then((querySnapshot) => {
            //     querySnapshot.forEach((doc) => {
            //         // console.log(doc.id, " => ", doc.data());
            //     });
            // });


            // db.collection("chat_room").doc('2_1').get().then((querySnapshot) => {
            //     querySnapshot.forEach(function(doc) {
            //         // doc.data() is never undefined for query doc snapshots
            //         console.log(doc.id, " => ", doc.data());
            //     });
            // });
        })
    </script>
{% endblock %}